Received: from mnm [127.0.0.1]
	by localhost with POP3 (fetchmail-5.9.0)
	for akpm@localhost (single-drop); Tue, 25 Mar 2003 04:43:57 -0800 (PST)
Received: by mangalore (mbox akpm)
 (with Cubic Circle's cucipop (v1.31 1998/05/13) Tue Mar 25 23:43:28 2003)
X-From_: wli@holomorphy.com  Tue Mar 25 23:43:05 2003
Return-Path: <wli@holomorphy.com>
Received: from holomorphy (mail@holomorphy.com [66.224.33.161])
	by mangalore.zipworld.com.au (8.12.3/8.12.3) with ESMTP id h2PCh42G010463
	for <akpm@zip.com.au>; Tue, 25 Mar 2003 23:43:04 +1100
Received: from wli by holomorphy with local (Exim 3.35 #1 (Debian))
	id 18xnlK-00069s-00; Tue, 25 Mar 2003 04:42:42 -0800
Date: Tue, 25 Mar 2003 04:42:41 -0800
From: William Lee Irwin III <wli@holomorphy.com>
To: akpm@zip.com.au
Cc: linux-kernel@vger.kernel.org
Subject: use page_to_pfn() in __blk_queue_bounce()
Message-ID: <20030325124241.GQ1232@holomorphy.com>
Mail-Followup-To: William Lee Irwin III <wli@holomorphy.com>,
	akpm@zip.com.au, linux-kernel@vger.kernel.org
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.3.28i
Organization: The Domain of Holomorphy
X-Spam-Status: No, hits=0.0 required=6.0
	tests=none
	version=2.31
X-Spam-Level: 

__blk_queue_bounce() contains an open-coded page_to_pfn() for the
discontig, non-MAP_NR_DENSE() case (wherever MAP_NR_DENSE() went).
This converts it to use the standard page_to_pfn() abstraction.


-- wli

diff -urpN linux-2.5.66/mm/highmem.c merge-2.5.66-1/mm/highmem.c
--- linux-2.5.66/mm/highmem.c	2003-03-24 14:00:50.000000000 -0800
+++ merge-2.5.66-1/mm/highmem.c	2003-03-25 04:08:01.000000000 -0800
@@ -381,7 +381,7 @@ static void __blk_queue_bounce(request_q
 		/*
 		 * is destination page below bounce pfn?
 		 */
-		if ((page - page_zone(page)->zone_mem_map) + (page_zone(page)->zone_start_pfn) < q->bounce_pfn)
+		if (page_to_pfn(page) < q->bounce_pfn)
 			continue;
 
 		/*
